| OpenZWave Library 1.6.0

Loading...
Searching...
No Matches
Enumerations
ManufacturerSpecific.cpp File Reference
`#include "command_classes/CommandClasses.h"`
`#include "command_classes/ManufacturerSpecific.h"`
`#include "tinyxml.h"`
`#include "Defs.h"`
`#include "Msg.h"`
`#include "Node.h"`
`#include "Options.h"`
`#include "Manager.h"`
`#include "Driver.h"`
`#include "ManufacturerSpecificDB.h"`
`#include "Notification.h"`
`#include "platform/Log.h"`
`#include "value_classes/ValueStore.h"`
`#include "value_classes/ValueString.h"`
`#include "value_classes/ValueInt.h"`

## Enumerations
enum | ManufacturerSpecificCmd { ManufacturerSpecificCmd_Get = 0x04 , ManufacturerSpecificCmd_Report = 0x05 , ManufacturerSpecificCmd_DeviceGet = 0x06 , ManufacturerSpecificCmd_DeviceReport = 0x07 }
enum | { DeviceSpecificGet_DeviceIDType_FactoryDefault = 0x00 , DeviceSpecificGet_DeviceIDType_SerialNumber = 0x01 , DeviceSpecificGet_DeviceIDType_PseudoRandom = 0x02 }
enum | { ManufacturerSpecific_LoadedConfig , ManufacturerSpecific_LocalConfig , ManufacturerSpecific_LatestConfig , ManufacturerSpecific_DeviceID , ManufacturerSpecific_SerialNumber }

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
ManufacturerSpecific_LoadedConfig |
ManufacturerSpecific_LocalConfig |
ManufacturerSpecific_LatestConfig |
ManufacturerSpecific_DeviceID |
ManufacturerSpecific_SerialNumber |

## ◆ anonymous enum

anonymous enum

Enumerator
DeviceSpecificGet_DeviceIDType_FactoryDefault |
DeviceSpecificGet_DeviceIDType_SerialNumber |
DeviceSpecificGet_DeviceIDType_PseudoRandom |

## ◆ ManufacturerSpecificCmd

enum ManufacturerSpecificCmd

Enumerator
ManufacturerSpecificCmd_Get |
ManufacturerSpecificCmd_Report |
ManufacturerSpecificCmd_DeviceGet |
ManufacturerSpecificCmd_DeviceReport |